eventtex

Member
Feb 17, 2021
11
1
3
evreux
cPanel Access Level
Root Administrator
Hello,

I am trying to enable HTTP2 module for Apache but it conflicts with the following modules:

mod_cgi
mod_ruid2
mod_mpm_prefork

What do you advise me and what are the constraints?

Should I deactivate the modules that are causing problems for HTTP2 activation or do I have to keep my configuration?

Have you noticed a real performance gain by activating the HTTP2 mod?

Thank you for your answers.

cordially
 

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
7,491
1,008
313
cPanel Access Level
Root Administrator
Hey there! The EasyApache interface lets you know when there are modules that conflict with each other. If you want to try out http2, you'll need to remove the other modules mentioned as they are not compatible.

As far as the speed and performance gains, the only real answer is that you'll have to try it and find out. Some users see a noticeable difference, while some do not, as it really depends on your configuration, hardware, and how much traffic you are receiving.
 

eventtex

Member
Feb 17, 2021
11
1
3
evreux
cPanel Access Level
Root Administrator
Hello, Thank you for your reply.

Is there a risk for the functioning of our server if I deactivate the following modules to activate HTTP2?

mod_cgi
mod_ruid2
mod_mpm_prefork
 

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
7,491
1,008
313
cPanel Access Level
Root Administrator
No risk at all - if you need to switch back to the current configuration those modules will be reinstalled. You can also make a copy of your current EasyApache configuration and save it as a profile if you'd like to use it again in the future.
 

speedy200man

Member
Feb 20, 2017
10
1
3
Bucharest, Romania
cPanel Access Level
Root Administrator
Hi!
Did you get to try http/2 ? I am thinking about it as well but do not want downtime due to unknown things that might happen.
If so, did you see a boost in speed or did you have to enable other modules or configure something else?
I see so many threads with problems in php permissions, changing other mpm modules, I am afraid it will be a real hassle to get it all working properly...
Thanks!
 
Last edited: